Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Contact.PROPERTY

    java.lang.Object
      java.lang.Enum<Contact.PROPERTY>
          com.skype.api.Contact.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Contact.PROPERTY>

Enclosing class:
  Contact

    public static enum Contact.PROPERTY

extends java.lang.Enum<Contact.PROPERTY>

Properties of the Contact class

Enum Constant Summary
`about` arbitrary introductory text, type: String
`assigned_comment` change via Contact.AssignComment(), type: String
`assigned_phone1` Office phone no.
`assigned_phone1_label` Value "1" in this property will be translated as "Office" by Skype Windows desktop client, according to UI language settings , type: String
`assigned_phone2` Mobile phone no.
`assigned_phone2_label` Value "2" in this property will be translated as "Mobile" by Skype Windows desktop client, according to UI language settings , type: String
`assigned_phone3` "Other phone no.
`assigned_phone3_label` Value "3" in this property will be translated as "Other" by Skype Windows desktop client, according to UI language settings , type: String
`authreq_timestamp` timestamp of last received auth-request, type: int
`authrequest_count` for contacts that have CONTACT_RECEIVED_AUTHREQUEST, how many times in a row they have requested it without positive answer, type: int
`availability` Contact.AVAILABILITY, type: AVAILABILITY
`avatar_image` Contact avatar pictures are in JPG format.
`avatar_timestamp` UNIX timestamp of when current avatar was set, type: int
`birthday` integer of YYYYMMDD format, type: int
`capabilities` binary tag that can be queried via Contact.HasCapability(), type: byte[]
`city` type: String
`country` ISO country code, type: String
`displayname` always set (assigned by lib by looking at various fields), type: String
`emails` will be hashed before advertising/querying, space separated, type: String
`fullname` type: String
`gender` 1-male, 2-female, type: int
`given_authlevel` Contact.AUTHLEVEL, change via Contact.GiveAuthlevel(), type: AUTHLEVEL
`given_displayname` change via Contact.GiveDisplayname(), type: String
`homepage` type: String
`ipcountry` ISO country code assigned by the IP, type: String
`languages` ISO language code list, space separated, type: String
`lastonline_timestamp` X timestamp of last successful ping to that user, type: int
`lastused_timestamp` UNIX timestamp of last outbound session (call, chat, FT, etc), type: int
`mood_text` Personal mood message (visible to authorized users only).
`mood_timestamp` NOT SET FOR CONTACTS.
`nrof_authed_buddies` count of this user's authorized contacts , type: int
`phone_home` This corresponds to the Account.P_PHONE_HOME property.
`phone_mobile` This corresponds to the Account.P_PHONE_MOBILE property.
`phone_office` This corresponds to the Account.P_PHONE_OFFICE property.
`popularity_ord` Contact's order by presence popularity , type: int
`profile_timestamp` UNIX timestamp of last profile change, type: int
`province` type: String
`pstnnumber` type: String
`received_authrequest` set if the contact is waiting to be authorized.
`refreshing` true if querying additional information from p2p or server , type: boolean
`rich_mood_text` XML version of personal mood text, type: String
`skypename` defined if it is a SKYPE contact, type: String
`timezone` 24*3600+diff_to_UTC_in_seconds.
`type` type: Contact.TYPE

Method Summary
`static Contact.PROPERTY` | `fromString(java.lang.String s)`
`static Contact.PROPERTY` | `get(int code)`
`int` | `getId()`
`static Contact.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Contact.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### type

    public static final Contact.PROPERTY type

  type: Contact.TYPE

### skypename

    public static final Contact.PROPERTY skypename

  defined if it is a SKYPE contact, type: String

### pstnnumber

    public static final Contact.PROPERTY pstnnumber

  type: String

### fullname

    public static final Contact.PROPERTY fullname

  type: String

### birthday

    public static final Contact.PROPERTY birthday

  integer of YYYYMMDD format, type: int

### gender

    public static final Contact.PROPERTY gender

  1-male, 2-female, type: int

### languages

    public static final Contact.PROPERTY languages

  ISO language code list, space separated, type: String

### country

    public static final Contact.PROPERTY country

  ISO country code, type: String

### province

    public static final Contact.PROPERTY province

  type: String

### city

    public static final Contact.PROPERTY city

  type: String

### phone_home

    public static final Contact.PROPERTY phone_home

  This corresponds to the Account.P_PHONE_HOME property. The value is set by the remote user in Account profile. As Contact property, this is read-only.
  , type: String

### phone_office

    public static final Contact.PROPERTY phone_office

  This corresponds to the Account.P_PHONE_OFFICE property. The value is set by the remote user in Account profile. As Contact property, this is read-only. If the Contact has not populated his Account profile with sufficient phone numbers, the UI should implement locally adding additional phone numbers to Contact P_ASSIGNED_PHONE1 .. P_ASSIGNED_PHONE3 properties (and corresponding labels). See Contact.SetPhoneNumber method for more information.
  , type: String

### phone_mobile

    public static final Contact.PROPERTY phone_mobile

  This corresponds to the Account.P_PHONE_MOBILE property. The value is set by the remote user in Account profile. As Contact property, this is read-only.
  , type: String

### emails

    public static final Contact.PROPERTY emails

  will be hashed before advertising/querying, space separated, type: String

### homepage

    public static final Contact.PROPERTY homepage

  type: String

### about

    public static final Contact.PROPERTY about

  arbitrary introductory text, type: String

### avatar_image

    public static final Contact.PROPERTY avatar_image

  Contact avatar pictures are in JPG format. The original size of avatar pictures are in no more than 96 x 96 pixels in size. However, as they can be smaller, scaling the pictures up too much to fit your UI can lead to distorted images.
  , type: byte[]

### mood_text

    public static final Contact.PROPERTY mood_text

  Personal mood message (visible to authorized users only).
  , type: String

### rich_mood_text

    public static final Contact.PROPERTY rich_mood_text

  XML version of personal mood text, type: String

### timezone

    public static final Contact.PROPERTY timezone

  24*3600+diff_to_UTC_in_seconds. NB! changes with DST
  , type: int

### capabilities

    public static final Contact.PROPERTY capabilities

  binary tag that can be queried via Contact.HasCapability(), type: byte[]

### profile_timestamp

    public static final Contact.PROPERTY profile_timestamp

  UNIX timestamp of last profile change, type: int

### nrof_authed_buddies

    public static final Contact.PROPERTY nrof_authed_buddies

  count of this user's authorized contacts
  , type: int

### ipcountry

    public static final Contact.PROPERTY ipcountry

  ISO country code assigned by the IP, type: String

### avatar_timestamp

    public static final Contact.PROPERTY avatar_timestamp

  UNIX timestamp of when current avatar was set, type: int

### mood_timestamp

    public static final Contact.PROPERTY mood_timestamp

  NOT SET FOR CONTACTS. For Account object, UNIX timestamp of when current mood was set, type: int

### received_authrequest

    public static final Contact.PROPERTY received_authrequest

  set if the contact is waiting to be authorized. The value contains auth. request text
  , type: String

### authreq_timestamp

    public static final Contact.PROPERTY authreq_timestamp

  timestamp of last received auth-request, type: int

### lastonline_timestamp

    public static final Contact.PROPERTY lastonline_timestamp

  X timestamp of last successful ping to that user, type: int

### availability

    public static final Contact.PROPERTY availability

  Contact.AVAILABILITY, type: AVAILABILITY

### displayname

    public static final Contact.PROPERTY displayname

  always set (assigned by lib by looking at various fields), type: String

### refreshing

    public static final Contact.PROPERTY refreshing

  true if querying additional information from p2p or server
  , type: boolean

### given_authlevel

    public static final Contact.PROPERTY given_authlevel

  Contact.AUTHLEVEL, change via Contact.GiveAuthlevel(), type: AUTHLEVEL

### given_displayname

    public static final Contact.PROPERTY given_displayname

  change via Contact.GiveDisplayname(), type: String

### assigned_comment

    public static final Contact.PROPERTY assigned_comment

  change via Contact.AssignComment(), type: String

### lastused_timestamp

    public static final Contact.PROPERTY lastused_timestamp

  UNIX timestamp of last outbound session (call, chat, FT, etc), type: int

### authrequest_count

    public static final Contact.PROPERTY authrequest_count

  for contacts that have CONTACT_RECEIVED_AUTHREQUEST, how many times in a row they have requested it without positive answer, type: int

### assigned_phone1

    public static final Contact.PROPERTY assigned_phone1

  Office phone no. of the contact. This property should NOT be used for SkypeOut contacts
  , type: String

### assigned_phone1_label

    public static final Contact.PROPERTY assigned_phone1_label

  Value "1" in this property will be translated as "Office" by Skype Windows desktop client, according to UI language settings
  , type: String

### assigned_phone2

    public static final Contact.PROPERTY assigned_phone2

  Mobile phone no. of the contact
  , type: String

### assigned_phone2_label

    public static final Contact.PROPERTY assigned_phone2_label

  Value "2" in this property will be translated as "Mobile" by Skype Windows desktop client, according to UI language settings
  , type: String

### assigned_phone3

    public static final Contact.PROPERTY assigned_phone3

  "Other phone no. of the contact, type: String

### assigned_phone3_label

    public static final Contact.PROPERTY assigned_phone3_label

  Value "3" in this property will be translated as "Other" by Skype Windows desktop client, according to UI language settings
  , type: String

### popularity_ord

    public static final Contact.PROPERTY popularity_ord

  Contact's order by presence popularity
  , type: int

Method Detail

### values

    public static Contact.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Contact.PROPERTY c : Contact.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Contact.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Contact.PROPERTY get(int code)

### fromString

    public static Contact.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.